tcptrack does not work (display no connections at all)

Bug #346667 reported by Huy Doan on 2009-03-22
68
This bug affects 11 people
Affects Status Importance Assigned to Milestone
tcptrack (Debian)
Fix Released
Unknown
tcptrack (Ubuntu)
Undecided
Unassigned
Lucid
High
Unassigned
Maverick
High
Unassigned

Bug Description

Binary package hint: tcptrack

Nothing is listed when using tcptrack.
# tcptrack -i eth0

Description: Ubuntu jaunty (development branch)
Release: 9.04

tcptrack:
  Installed: 1.3.0-1
  Candidate: 1.3.0-1
  Version table:
 *** 1.3.0-1 0
        500 http://vn.archive.ubuntu.com jaunty/universe Packages
        100 /var/lib/dpkg/status

TEST CASE:
1. Connect to the Internet
2. Start at least one TCP connection, e.g. downloading the Ubuntu ISO from a local mirror
3. Start tcptrack like this: sudo tcptrack -i <interface>
   where <interface> is the interface you are using to connect to the Internet (e.g. eth0, or wlan0)
4. Check if the TCP connection appears in the screen. If it doesn't, the test has failed. Otherwise, the package is working.

RATIONALE:
tcptrack does not show any connections and is hence completely useless in the Lucid and Maverick versions.

Chow Loong Jin (hyperair) wrote :

I can confirm this.

Changed in tcptrack (Ubuntu):
assignee: nobody → hyperair
status: New → Confirmed
Changed in tcptrack (Ubuntu):
assignee: hyperair → nobody
Collapsar (contact-djahan) wrote :

i second that. nothing happens

cottandr (cottandr) wrote :

I can also confirm this.

tcptrack -i wlan0 returns no connections.

Anders Olsson (anders-anderso) wrote :

I second that, until this is fixed are there any workarounds or alternative tools to tcptrack?

Darryl Schultz (darryl-schultz) wrote :

Using Karmic. Still no output using tcptrack v1.3.0-1. I'm happy to test, should anyone have an insight to the cause.

summary: - tcptrack does not work on Ubuntu 9.04 Jaunty
+ tcptrack does not work (display no connections at all)
Dave (davelr) wrote :

I am experiencing the exact same thing on two Ubuntu 9.04 server systems. Kubuntu 9.10 has the same problem.

isaacalves27 (isaacalves27) wrote :

Why is tcptrack not working in Karmic?

Changed in tcptrack (Ubuntu):
status: Confirmed → Invalid
Chow Loong Jin (hyperair) wrote :

Why did you convert this into a question and invalidate the bug? It's a bug, not a question.

Changed in tcptrack (Ubuntu):
status: Invalid → Confirmed
Darryl Schultz (darryl-schultz) wrote :

This is clearly a bug. "isaacalves27" will need to explain why is was converted to an answer.

Still in Lucid.

phamti (tinmanemail-reg) wrote :

I also have this issue in Ubuntu 10.04.

phamti (tinmanemail-reg) wrote :

I tried compiling the source and installing using make and it also did not work.

sudo apt-get install build-essential
sudo apt-get install libpcap-dev

# Will not compile with newest gcc so go back to older one
apt-get remove gcc g++
sudo apt-get install gcc-4.2
sudo apt-get install g++-4.2
ln -s /usr/bin/gcc-4.2 /usr/bin/gcc
ln -s /usr/bin/g++-4.2 /usr/bin/g++

sudo make install

Carlos (gewan) wrote :

Running Ubuntu 10.10, just did apt-get install tcptrack.
I had a good feeling about this utility, so I got very sad when it did not work.
Hope developers find a cure soon.

ilias (ilisepe1) wrote :

compiling tcptrack v1.4.0 from their site directly works fine btw

Thank you ilias.

tcptrack v1.4.0 is working on 10.04 Lucid x86_64.

Download source from tcptrack homepage: http://www.rhythm.cx/~steve/devel/tcptrack/ and compile. I needed to apt-get libpcap0.8-dev and libncurses5-dev prior to a successful ./configure.

Note the Ubuntu repos still have v1.3.0 <- does not function as expected.

Changed in tcptrack (Debian):
status: Unknown → New
Michal Zubryk (michalz) wrote :

Hi,
I created a package tcptrack-1.4 to Ubuntu Lucid. It should also work on earlier versions.

Source and binary
http://www.jarsat.pl/~michalz/tcptrack/

PS: I am not a developer, so the package may contain errors in the changelog
--
MichalZ

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tcptrack - 1.4.0-0ubuntu1

---------------
tcptrack (1.4.0-0ubuntu1) natty; urgency=low

  * New upstream release:
    - Incorporated patches from Kristof Provost for IPv6 support
      (Closes: #602232, LP: #346667) and numerous cleanups and bug fixes. An
      issue where tcptrack would run but not display any connections should now
      be fixed. Thanks to Ronald W. Henderson for help testing and debugging.
  * Add watch file
 -- Chow Loong Jin <email address hidden> Thu, 30 Dec 2010 23:36:46 +0800

Changed in tcptrack (Ubuntu):
status: Confirmed → Fix Released
description: updated
description: updated
Changed in tcptrack (Ubuntu Lucid):
importance: Undecided → High
status: New → Triaged
Changed in tcptrack (Ubuntu Maverick):
importance: Undecided → High
status: New → Triaged

Accepted tcptrack into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in tcptrack (Ubuntu Lucid):
status: Triaged → Fix Committed
tags: added: verification-needed
Martin Pitt (pitti) wrote :

Accepted tcptrack into maverick-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in tcptrack (Ubuntu Maverick):
status: Triaged → Fix Committed

On Monday 14,February,2011 03:48 AM, Launchpad Bug Tracker wrote:
> ** Branch linked: lp:ubuntu/tcptrack
>
> ** Branch linked: lp:ubuntu/lucid-proposed/tcptrack
>
> ** Branch linked: lp:ubuntu/maverick-proposed/tcptrack
>

I can confirm that it works on Maverick, but I don't have a Lucid installation
to test the Lucid fix on.

--
Kind regards,
Loong Jin

Martin Pitt (pitti) on 2011-02-14
tags: added: verification-done
Chow Loong Jin (hyperair) wrote :

On Monday 14,February,2011 03:21 PM, Martin Pitt wrote:
> ** Tags added: verification-done
>

I tested it on Lucid as well via a liveCD on Virtualbox, and it seems to work,
so I guess you can ack both uploads

--
Kind regards,
Loong Jin

Martin Pitt (pitti) wrote :

Great, thanks for testing!

tags: removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tcptrack - 1.4.0-0ubuntu0.1

---------------
tcptrack (1.4.0-0ubuntu0.1) maverick-proposed; urgency=low

  * New upstream release
    - Incorporated patches from Kristof Provost for IPv6 support
      (Closes: #602232, LP: #346667) and numerous cleanups and bug fixes. An
      issue where tcptrack would run but not display any connections should now
      be fixed. Thanks to Ronald W. Henderson for help testing and debugging.
 -- Chow Loong Jin <email address hidden> Sun, 06 Feb 2011 11:21:44 +0800

Changed in tcptrack (Ubuntu Maverick):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tcptrack - 1.4.0-0ubuntu0.1~lucid

---------------
tcptrack (1.4.0-0ubuntu0.1~lucid) lucid-proposed; urgency=low

  * New upstream release
    - Incorporated patches from Kristof Provost for IPv6 support
      (Closes: #602232, LP: #346667) and numerous cleanups and bug fixes. An
      issue where tcptrack would run but not display any connections should now
      be fixed. Thanks to Ronald W. Henderson for help testing and debugging.
 -- Chow Loong Jin <email address hidden> Sun, 06 Feb 2011 11:21:44 +0800

Changed in tcptrack (Ubuntu Lucid):
status: Fix Committed → Fix Released
Changed in tcptrack (Debian):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.